.\" $NetBSD: atrun.8,v 1.10 2000/11/07 06:43:25 lukem Exp $
.\" $OpenBSD: atrun.8,v 1.4 1998/05/22 22:16:29 deraadt Exp $
.\" $FreeBSD: atrun.man,v 1.3 1997/02/22 14:20:55 peter Exp $
.Dd April 12, 1995
.Dt ATRUN 8
.Os
.Sh NAME
.Nm atrun
.Nd run jobs queued for later execution
.Sh SYNOPSIS
.Nm atrun
.Op Fl l Ar load_avg
.Op Fl d
.Sh DESCRIPTION
.Nm
runs jobs queued by
.Xr at 1 .
Root's
.Xr crontab 5
must contain the line:
.Bd -literal
*/10     *       *       *       *       root    /usr/libexec/atrun
.Ed
.Pp
so that
.Xr atrun 8
gets called every ten minutes.
.Pp
At every invocation, every job in lowercase queues whose starting time
has passed is started.
A maximum of one batch job (denoted by uppercase queues) is started
each time
.Nm
is invoked.
.Sh OPTIONS
.Bl -tag -width indent
.It Fl l Ar load_avg
Specifies a limiting load factor, over which batch jobs should
not be run, instead of the compiled-in value of 1.5.
.It Fl d
Debug; print error messages to standard error instead of using
.Xr syslog 3 .
.El
.Sh WARNINGS
For
.Nm
to work, you have to start up a
.Xr cron 8
daemon.
.Sh FILES
.Bl -tag -width /var/at/spool -compact
.It Pa /var/at/spool
Directory containing output spool files
.It Pa /var/at/jobs
Directory containing job files
.El
.Sh SEE ALSO
.Xr at 1 ,
.Xr crontab 1 ,
.Xr syslog 3 ,
.Xr crontab 5 ,
.Xr cron 8
.Sh AUTHORS
.An Thomas Koenig Aq ig25@rz.uni-karlsruhe.de
.Sh BUGS
The functionality of
.Nm
should be merged into
.Xr cron 8 .
